# FOSS Trello-like board

1. [Wekan](https://github.com/wekan/wekan-gogs)
2. [Kanboard](https://github.com/kanboard/plugin-gogs-webhook/)
3. [Taiga](https://tree.taiga.io/support/integrations/gogs-integration/)

## Links interessanti

[Wekan vs Trello vs Restyaboard](https://github.com/wekan/wekan/wiki/Wekan-vs-Trello-vs-Restyaboard)

[Awesome SelfHosted#Task Management](https://github.com/Kickball/awesome-selfhosted#task-managementto-do-lists)

## Features

### Wekan

- Open issue in Gogs <--> Create card in Wekan
- Comment on issue <--> Comment on card
- Move card to another list in Wekan --> Assign the label to issue Gogs
- Move card in Priority board <--> Move card in repository board

### Kanboard 

#### List of supported events

- Gogs commit received

#### List of supported actions

- Create a comment from an external provider
- Close a task

### Taiga

#### What can we do currently?

Right now you can connect a Gogs repository with a Taiga project and generate a one-way communication (from Gogs to Taiga) to:

- Change the status of an epic, user story, issue, or task in Taiga with the commit message: you may want to read more about this feature in the article "Changing elements status via commit message".
- Attach commits in an epic, user story, issue, or task of Taiga with the commit message: you may want to read more about this feature in the article "Attach commits to elements via commit message".

#### And what can't we do?

- Create issues on Taiga when they are created on Gogs*.
- Add comments to the connected issues on Taiga when they are created on Gogs.
- Dual synchronization: currently the integration functionality only allows receiving messages from Gogs. Taiga can't communicate with Gogs (the one-way communication is from Gogs to Taiga), so changes made in Taiga won't be reflected in Gogs.
- Show commit links in Taiga issues: If you name a story, task or issue in a commit message (by its reference number) a link to commit won't appear in Taiga.
- "Sync current Gogs issues and comment when the integration module in Taiga is enabled*: the integration only works with the future issues and comments added in Gogs.

Currently Gogs offers a limitation on its webhooks system that must be considered. It is not hardcore but it's good to know them to be aware of the limitation that exist.

*Gogs doesn't sign the messages so Taiga only can confirm the origin checking the IPs in the request.*
